Subject: RE: [PATCH v5 1/2] kexec: Consolidate machine_kexec_mask_interrupts() implementation

From: "Farber, Eliav" <[email-masked]>
Date: Wed, 4 Dec 2024 11:40:55 +0000

On 12/4/2024 1:02 PM, Jiri Slaby wrote:
>> +
>> +config GENERIC_IRQ_KEXEC_CLEAR_VM_FORWARD
>> +     bool "Clear forwarded VM interrupts during kexec"
>> +     default n
>> +     help
>> +       When enabled, this option allows the kernel to clear the active state
>> +       of interrupts that are forwarded to virtual machines (VMs) during a
>> +       machine kexec. For interrupts that are not forwarded, if supported,
>> +       the kernel will attempt to trigger an End of Interrupt (EOI).
>
> This caught my attention. It looks like you want to allow people toggling it? I believe only arch code should turn it on as you do by "select", not users.

Thomas Gleixner has also commented about it:
"
This should not be user selectable. Just keep it as:

config GENERIC_IRQ_KEXEC_CLEAR_VM_FORWARD
        bool

which defaults to 'n'. Just add a comment what this is about like it's done with the other options in that file which are only selectable.
"

I will fix it in v6.
I'm just waiting for a reply if the new configuration option should be
placed inside or after the following section:
```
menu "IRQ subsystem"

endmenu
```

Thanks, Eliav